Skip to main content
GET
/
v1
/
merchants
/
{id}
Get a merchant
curl --request GET \
  --url https://api.saturnshift.io/v1/merchants/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "merchant",
  "id": 116,
  "name": "Green Leaf Coffee",
  "legal_name": "<string>",
  "email": "owner@greenleaf.example",
  "status": "ACTIVE",
  "onboarding_status": "ACTIVE",
  "crypto_enabled": true,
  "onboarding_complete": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth2 client credentials. Request a token from /oauth/token and send it as Authorization: Bearer <token>.

Path Parameters

id
integer
required

Response

The merchant

object
string
Example:

"merchant"

id
integer
Example:

116

name
string | null
Example:

"Green Leaf Coffee"

email
string | null
Example:

"owner@greenleaf.example"

status
string | null
Example:

"ACTIVE"

onboarding_status
string | null
Example:

"ACTIVE"

crypto_enabled
boolean
Example:

true

onboarding_complete
boolean
Example:

true

created_at
string<date-time> | null